- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::ImageFactory Member List

This is the complete list of members for Exiv2::ImageFactory, including all inherited members.

create(int type, const std::string &path) | Exiv2::ImageFactory | `[static]`
create(int type) | Exiv2::ImageFactory | `[static]`
create(int type, BasicIo::AutoPtr io) | Exiv2::ImageFactory | `[static]`
getType(const std::string &path) | Exiv2::ImageFactory | `[static]`
getType(const byte *data, long size) | Exiv2::ImageFactory | `[static]`
getType(BasicIo &io) | Exiv2::ImageFactory | `[static]`
open(const std::string &path) | Exiv2::ImageFactory | `[static]`
open(const byte *data, long size) | Exiv2::ImageFactory | `[static]`
open(BasicIo::AutoPtr io) | Exiv2::ImageFactory | `[static]`
registerImage(int type, NewInstanceFct newInst, IsThisTypeFct isType) | Exiv2::ImageFactory | `[static]`